"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const api_1 = tslib_1.__importDefault(require("@hackmd/api"));
const core_1 = require("@oclif/core");
const config_1 = tslib_1.__importDefault(require("./config"));
const utils_1 = require("./utils");
class HackMDCommand extends core_1.Command {
    async getAPIClient() {
        const token = config_1.default.accessToken || await core_1.ux.prompt('Enter your access token', {
            type: 'hide',
        });
        const APIClient = new api_1.default(token, config_1.default.hackmdAPIEndpointURL);
        try {
            await APIClient.getMe();
            if (!config_1.default.accessToken) {
                (0, utils_1.setAccessTokenConfig)(token);
            }
            return APIClient;
        }
        catch (_a) {
            throw new Error('Please ensure your credentials are correct');
        }
    }
}
exports.default = HackMDCommand;
