"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const command_1 = tslib_1.__importDefault(require("../command"));
const flags_1 = require("../flags");
class Export extends command_1.default {
    async run() {
        const { flags } = await this.parse(Export);
        const { noteId } = flags;
        if (!noteId) {
            this.error('Flag noteId could not be empty');
        }
        try {
            const APIClient = await this.getAPIClient();
            const note = await APIClient.getNote(noteId);
            this.log(note.content);
        }
        catch (error) {
            this.log('Export note content failed');
            this.error(error);
        }
    }
}
Export.description = 'Export note content';
Export.examples = [
    `$ hackmd-cli export --noteId=kNFWV5E-Qz-QP7u6XnNvyQ
# A note to be exported
    `,
];
Export.flags = {
    help: core_1.Flags.help({ char: 'h' }),
    noteId: flags_1.noteId,
};
exports.default = Export;
