"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const command_1 = tslib_1.__importDefault(require("../command"));
class Login extends command_1.default {
    async run() {
        try {
            await this.getAPIClient();
            this.log('Login successfully');
        }
        catch (error) {
            this.log('Login failed');
            this.error(error);
        }
    }
}
Login.description = 'Login to HackMD server from CLI';
Login.examples = [
    `$ hackmd-cli login

Enter your access token: MY_ACCESS_TOKEN

Login successfully
`,
];
Login.flags = {
    help: core_1.Flags.help({ char: 'h' }),
};
exports.default = Login;
