"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const command_1 = tslib_1.__importDefault(require("../command"));
const utils_1 = require("../utils");
class Logout extends command_1.default {
    async run() {
        try {
            (0, utils_1.setAccessTokenConfig)('');
            this.log("You've logged out successfully");
        }
        catch (error) {
            this.error(String(error));
        }
    }
}
Logout.description = 'Login to HackMD server from CLI';
Logout.examples = [
    `$ hackmd-cli logout

You've logged out successfully
`,
];
Logout.flags = {
    help: core_1.Flags.help({ char: 'h' }),
};
exports.default = Logout;
