"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const core_1 = require("@oclif/core");
const command_1 = tslib_1.__importDefault(require("../../command"));
const flags_1 = require("../../flags");
class Delete extends command_1.default {
    async run() {
        const { flags } = await this.parse(Delete);
        const { noteId } = flags;
        if (!noteId) {
            this.error('Flag noteId could not be empty');
        }
        try {
            const APIClient = await this.getAPIClient();
            await APIClient.deleteNote(noteId);
        }
        catch (error) {
            this.log('Delete note failed');
            this.error(error);
        }
    }
}
Delete.description = 'Delete a note';
Delete.examples = [
    '$ hackmd-cli notes delete --noteId=WNkLM6gkS0Cg2cQ8rv7bYA',
];
Delete.flags = {
    help: core_1.Flags.help({ char: 'h' }),
    noteId: flags_1.noteId,
};
exports.default = Delete;
